gromox-export(8)

Name
gromox-export — Utility to export Gromox messages to various formats

Synopsis
gromox-exm2eml -u user@domain.example [folder_id:]message_id

gromox-exm2ical -u user@domain.example [folder_id:]message_id

gromox-exm2vcf -u user@domain.example [folder_id:]message_id

gromox-exm2mt -u user@domain.example [-rs] {folder_spec|ffolder_id|[folder_id:]message_id}... >file.mt

gromox-exm2tnef -u user@domain.example [folder_id:]message_id >file.tnef

Description
gromox-export reads folders or messages from an exmdb information store and exports it as Gromox Mailbox Transfer (GXMT) datastream, Internet Mail (RFC 5322), iCalendar (RFC 5545), vCard (RFC 6350), or TNEF, depending on which name it was invoked under. ("exm" is short for exmdb and refers to the network protocol used to talk to the message store.) Multiple messages may only be exported to GXMT. ACLs are not extracted yet. Export to PST is not possible: the external library libpff has only implemented reading.

Folders can be selected by symbolic name or by folder path (see gromox-mbop(8) section "Folder specification" for that). To select a folder by numeric ID, use the f prefix, e.g. f13. To select a message by numeric ID, use the ID 262145 or 0x10001. The syntax 13:262145 reads a message using the Instance API (i.e. using a copy-on-write object) and validates that the message is indeed in that folder; this mode is only relevant for developers really.

An alternate way to get an EML representation is using grommunio-web's "Export as > EML file(s)" function from the context menu of a mail item.

Options

-Y value
    If set to 1, allday events are emitted as so-called floating dates. If set to 0 however, allday events are emitted as precise-time events.
    Default: 1 -p Show properties in detail (enhances -t).

-r  Process folders recursively. (Only in conjunction with GXMT export.)

-s  Mark objects for splicing when later imported. For example, objects exported from, and originally located in Sent Items are, upon import, placed in the target mailbox's Sent Items.

-t  As the source message is read, print a diagnostic tree view of the MAPI properties to stderr.

-u [user]@domin.example
    Source mail store from which to load the message from. For the public folder of a domain, leave out the local part, i.e. use @domain.example.

--loglevel n Maximum verbosity of general logging (not connected
    to -p, -t or -v). 1=crit, 2=error, 3=warn, 4=notice, 5=info, 6=debug.
    Default: 4 (notice)

Examples

•   Export entire mailbox: gromox-export -u user@example.com -r / >dump.mt

•   Export most of the mailbox (as Outlook would): gromox-export -u u@e.xz -r IPM_SUBTREE >dump.mt

•   Export two folders without subordinates: gromox-export -u u@e.xz IPM_SUBTREE/Foo IPM_SUBTREE/Bar >dump.mt

•   Export a single message as RFC5322: gromox-exm2eml -u u@e.xz 0x10001 >10001.eml

•   Export a MAPI contact as vcard: gromox-exm2vcf -u u@e.xz 0x30001 >30001.vcf

See also
gromox(7), gromox-eml2mt(8)